Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::remove_if_fn Struct Reference

## Description

Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate.

## Synopsis of methods
constexpr view< remove_if_fn > | remove_if {}

## Public Member Functions
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> remove_if_view< all_t< Rng >, Pred > requires ViewableRange< Rng > &&InputRange< Rng > &&IndirectUnaryPredicate< Pred, iterator_t< Rng >>
template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> remove_if_view< all_t< Rng >, composed< Pred, Proj >> requires ViewableRange< Rng > &&InputRange< Rng > &&IndirectUnaryPredicate< Pred, projected< iterator_t< Rng >, Proj >>